package Controller

import (
	"src/Common/Unit"
	"src/Config"
	"time"
)

type ConfigChecker struct {
}

func (this *ConfigChecker) Start() {
	this.startSysConfigChecker()
	this.startSpsConfigChecker()
}

func (this *ConfigChecker) startSysConfigChecker() {
	config := Config.GetInstance()
	go func() {
	START:
		s, ok := config.Sys.Get("config_system_check_seconds")
		if ok {
			n := Unit.Time2Seconds(s.(string))
			time.Sleep(time.Duration(n) * time.Second)
			config.InitSysConfig()
		}
		goto START
	}()
}

func (this *ConfigChecker) startSpsConfigChecker() {
	config := Config.GetInstance()
	go func() {
	START:
		s, ok := config.Sys.Get("config_sp_check_seconds")
		if ok {
			n := Unit.Time2Seconds(s.(string))
			time.Sleep(time.Duration(n) * time.Second)
			config.InitSpsConfig()
		}
		goto START
	}()
}
