package Controller

import (
	log "github.com/sirupsen/logrus"
	"src/Common/DateTime"
	"src/Common/Unit"
	"src/Config"
	"src/Model/Wasu"
	"time"
)

type WasuChecker struct {
	Config *Config.Config
}

func (this *WasuChecker) Start() {
	go func() {
	START:
		s, ok := this.Config.Sys.Get("wasu_check_seconds")
		if ok {
			this.checkIncrementList()
			n := Unit.Time2Seconds(s.(string))
			time.Sleep(time.Duration(n) * time.Second)
		}
		goto START
	}()
}

func (this *WasuChecker) checkIncrementList() {
	log.Infoln("WasuChecker.checkIncrementList Starting...")
	mediaModel := new(Wasu.MediaListModel)
	mediaModel.Config = this.Config
	date := DateTime.Format("YYYYMMDD", time.Now())
	//date:="20171213"
	mediaList := mediaModel.FetchList(date, 1)
	ok := mediaModel.UpdateMediaList(mediaList)
	if !ok {
		log.Errorln("mediaModel.UpdateMediaList err: date=", date, "page=", 1)
	}

	if mediaList != nil {
		pageNum := mediaList.PageNum
		if pageNum >= 2 {
			for page := 2; page <= pageNum; page++ {
				mediaList := mediaModel.FetchList(date, page)
				ok := mediaModel.UpdateMediaList(mediaList)
				if !ok {
					log.Errorln("mediaModel.UpdateMediaList err: date=", date, "page=", page)
				}
			}
		}
	}
}
